program phaml_master
use phaml
implicit none
type(phaml_solution_type) :: soln
call phaml_create(soln,nproc=4)
call phaml_solve_pde(soln,                   &
                     max_vert=500,           &
                     mg_cycles=5,            &
                     error_estimator=LOCAL_PROBLEM_H, &
                     print_grid_when=PHASES, &
                     print_grid_who=MASTER  ,&
                     print_linsys_when=PHASES, &
                     print_linsys_who=MASTER, &
                     print_solver_who=MASTER, &
                     print_solver_when=PHASES, &
                     print_error_when=PHASES    , &
                     print_H1_norm_error=.true., print_H1_norm_errest=.true., &
                     print_error_who=MASTER)
call phaml_destroy(soln)
end program phaml_master
